Save what happened, similar to ShadowPlay, ReLive or OBS' replay buffer, but without any GPU requirements. **If you have an OpenGL 3.0 capable GPU, you probably want to try OBS instead.**

# Saving a recording
Send a byte to the ffreplays's stdin. You can do that by simply pressing enter with the console window open, or you can couple a hotkey script to it (via AHK for example), to save replays from anywhere.

# Exporting a recording
By default, recordings are saved as segments in folders named after the recording's date. To make a file out of the recording, you will have to run: `ffreplay.py c <folder 1> [folder 2] [folder 3] [...]`. The recording will be joined into one file with an .mp4 extension and the same name right next to the originating folder.

# Configuration  
## Files  
There are different .ini files that house all the settings. They are loaded in this order, top to bottom, with the lower configurations overriding the top ones, if there are duplicate settings:
- **ffreplay.ini**: The base cross-platform configuration  
- **ffreplay.`OS`.ini**: OS-specific configuration. If not found, **ffreplay.linux.ini** is used instead.
- **User config (see OS config for location)**: User-specific configuration, not mandatory, ignored if not found.

They all add up to one config, so you can arrange stuff as you like.

## Fluffy ini
You can use variables within the ini. A variable looks like this: `$key$`. There are a few preset variables:
- **`SP`**: The path where the script is in.
- **`OS`**: The OS' name. Could be `windows`, `linux`, `macos` or other. 
- **`PID`**: The current process ID of ffreplay.
- **`TIME`**: Current time in YE-MO-DA_HO-MI-SE.MS, only available for `outputPath`.

You can also use system environment variables. Example: `$SYS:HOME$` - This inserts your system's `HOME` variable.

It's also possible to pull other configuration values. For example, if you want to insert the value of `binary` from `[DEFAULT]`, you can use: `$CONF:DEFAULT/binary$`.

# ??? help
- To know what to do, you wanna look up how to use ffmpeg.
- If you wanna fiddle with the quality and speed, you need to edit `output` in the config. With `input` you can also lower or raise the desired framerate.
- The way the Windows configuration is set up on default, you will require the [virtual-audio-capturer](https://github.com/rdp/screen-capture-recorder-to-video-windows-free/releases) device.